classification
Title: define "PEP editor" in PEP 1
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jeremy.Hylton, anthony_baxter, barry, chris.jerdonek, docs@python, ezio.melotti, goodger, ncoghlan
Priority: normal Keywords: patch

Created on 2012-11-30 02:00 by chris.jerdonek, last changed 2012-12-22 12:33 by chris.jerdonek. This issue is now closed.

Files
File name Uploaded Description Edit
issue-16581-1.patch chris.jerdonek, 2012-12-03 05:06
Messages (13)
msg176678 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-30 02:00
This issue is to define "PEP editor" (or "PEP editors") in PEP 1 before it is used in the document and to provide certain clarifying information.

In particular, PEP 1 should say whether editorship is an invitation-only status and/or how one becomes a PEP editor.  It would also be good if it said (for transparency) how to go about seeing the current list of editors.

There is also inconsistent singular/plural usage that I think would be good to clear up.  Currently, in many places PEP 1 says "the PEP editor" (singular), so it's not clear if each PEP has its own editor, if there is a single PEP editor for all PEPs at any one time, or if it simply means "the PEP editor that happens to reply to an e-mail to peps@python.org".

PEP 0 also has this issue because its introduction says, "[This] PEP contains the index of all Python Enhancement Proposals, known as PEPs.  PEP numbers are assigned by the PEP Editor, and once assigned are never changed."
msg176703 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2012-11-30 19:17
On Nov 30, 2012, at 02:00 AM, Chris Jerdonek wrote:

>In particular, PEP 1 should say whether editorship is an invitation-only
>status and/or how one becomes a PEP editor.  It would also be good if it said
>(for transparency) how to go about seeing the current list of editors.

IMO, becoming a PEP editor is by invitation-only, as decided by consensus of
the current set of PEP editors.  The current list of editors is exactly
equivalent to the members of the peps@ mailing list, currently:

Anthony Baxter
Barry Warsaw
Brett Cannon
Georg Brandl
David Goodger
Guido van Rossum
Jesse Noller

If there are editors who are not members of this mailing list, they should be!
If there are editors who want to retire and be removed from the list, please
let me know.

>There is also inconsistent singular/plural usage that I think would be good
>to clear up.  Currently, in many places PEP 1 says "the PEP editor"
>(singular), so it's not clear if each PEP has its own editor, if there is a
>single PEP editor for all PEPs at any one time, or if it simply means "the
>PEP editor that happens to reply to an e-mail to peps@python.org".

The latter, and it should be plural everywhere.

>PEP 0 also has this issue because its introduction says, "[This] PEP contains
>the index of all Python Enhancement Proposals, known as PEPs.  PEP numbers
>are assigned by the PEP Editor, and once assigned are never changed."

Plural.
msg176708 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-11-30 19:55
Thanks for providing the info.  To clarify, is membership in peps@ restricted to editors?
msg176712 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2012-11-30 20:20
On Nov 30, 2012, at 07:55 PM, Chris Jerdonek wrote:

>Thanks for providing the info.  To clarify, is membership in peps@ restricted
>to editors?

Yes.  It may not be a perfect overlap, but that's the best we have, and should
be the intent, IMHO.
msg176736 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-12-01 01:11
+1

I wrote the stuff in PEP 1 about committers acting as editors, but agree
the editor part itself also falls into the "currently unwritten, but should
be written" category.
msg176752 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-01 19:23
From PEP 1: "If the PEP author is a Python developer, assign the bug/patch to him, otherwise assign it to the [a] PEP editor."

Given that the list is small, something else that might make sense is adding a "PEP editors" area to the Experts Index in the devguide.  That would allow one to do more easily what is stated above, for example.
msg176753 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-01 19:29
Btw, I will prepare a patch that incorporates the information that Barry provided.
msg176825 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-03 05:06
Attaching proposed patch.

The patch also makes some minor stylistic improvements and typo fixes (e.g. s/work flow/workflow/, s/we/the PEP editors/, and eliminating trailing whitespace on a few lines).
msg176826 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-12-03 05:22
+PEP editorship is by invitation of the current editors.  The address
+<peps@python.org> is a mailing list consisting of PEP editors.

The "consisting" doesn't sound too well to me, maybe "reserved to"?

+PEP-related email should be sent to this address (no cross-posting please).

emails?
msg176827 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-03 05:34
> The "consisting" doesn't sound too well to me, maybe "reserved to"?

"Reserved for" sounds good to me.  Originally I was thinking of "limited to" or "restricted to," but that had a connotation of exclusivity I wanted to avoid.
msg176971 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-05 08:25
Are there any comments on the patch from the PEP 1 authors?  PEP 1 says that I should assign this to one of the PEP authors.  Any takers, or is this something I can commit on the authors' behalf?
msg177937 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2012-12-22 11:38
Committed, along with a few other changes, as http://hg.python.org/peps/rev/24d5623ab21e

Subsequent commit addresses Ezio's comment by changing the phrase to "list for contacting the PEP editors".

The attitude I mainly take to PEP 1 now is that if I notice cases where what it says and what we actually do really don't match, I update the PEP accordingly. If I get anything glaringly wrong, I trust people will yell at me on python-checkins about it :)
msg177938 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-12-22 12:33
Thanks a lot, Nick.  It looks like you also went ahead and took care of issue 16746. :)
History
Date User Action Args
2012-12-22 12:33:38chris.jerdoneksetmessages: + msg177938
2012-12-22 11:38:00ncoghlansetstatus: open -> closed
resolution: fixed
messages: + msg177937

stage: patch review -> resolved
2012-12-05 08:25:37chris.jerdoneksetmessages: + msg176971
2012-12-03 05:34:14chris.jerdoneksetmessages: + msg176827
2012-12-03 05:22:45ezio.melottisetnosy: + ezio.melotti

messages: + msg176826
stage: patch review
2012-12-03 05:07:03chris.jerdoneksetfiles: + issue-16581-1.patch
keywords: + patch
messages: + msg176825
2012-12-01 19:29:05chris.jerdoneksetmessages: + msg176753
2012-12-01 19:23:13chris.jerdoneksetmessages: + msg176752
2012-12-01 01:11:51ncoghlansetmessages: + msg176736
2012-11-30 20:20:44barrysetmessages: + msg176712
2012-11-30 19:55:05chris.jerdoneksetmessages: + msg176708
2012-11-30 19:17:48barrysetmessages: + msg176703
2012-11-30 19:16:14barrysetnosy: + anthony_baxter
2012-11-30 02:00:10chris.jerdonekcreate